Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TypeCodeA.cpp File Reference

`#include "Struct_TypeCode_Static.h"`
`#include "Null_RefCount_Policy.h"`

Include dependency graph for TypeCodeA.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
## Variables
char const | tc_bounds_id [] = "IDL:omg.org/CORBA/TypeCode/Bounds:1.0"
char const | tc_bounds_name [] = "Bounds"
Struct< char const *, CORBA::TypeCode_ptr const *, Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | tc_Bounds (CORBA::tk_except, tc_bounds_id, tc_bounds_name, 0, 0)
char const | tc_bad_kind_id [] = "IDL:omg.org/CORBA/TypeCode/BadKind:1.0"
char const | tc_bad_kind_name [] = "BadKind"
Struct< char const *, CORBA::TypeCode_ptr const *, Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | tc_BadKind (CORBA::tk_except, tc_bad_kind_id, tc_bad_kind_name, 0, 0)

## Variable Documentation

char const TAO::TypeCode::tc_bad_kind_id[] = "IDL:omg.org/CORBA/TypeCode/BadKind:1.0"

char const TAO::TypeCode::tc_bad_kind_name[] = "BadKind"

Struct<char const *, CORBA::TypeCode_ptr const *, Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> TAO::TypeCode::tc_BadKind(CORBA::tk_except, tc_bad_kind_id, tc_bad_kind_name, 0, 0)

Struct<char const *, CORBA::TypeCode_ptr const *, Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> TAO::TypeCode::tc_Bounds(CORBA::tk_except, tc_bounds_id, tc_bounds_name, 0, 0)

char const TAO::TypeCode::tc_bounds_id[] = "IDL:omg.org/CORBA/TypeCode/Bounds:1.0"

char const TAO::TypeCode::tc_bounds_name[] = "Bounds"